
Sistema de Inventario - Bug #14

Corregir búsqueda: La búsqueda debería hacerse sólo como items de inventario. No en listas de

BOM ni compras.

10/07/2015 01:51 PM - Joaquín Verástegui

Status: Closed Start date: 10/07/2015

Priority: Normal Due date: 11/05/2015

Assignee: Fiorella Quino % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: Version 1.0 Spent time: 8.00 hours

Description

History

#1 - 10/07/2015 02:04 PM - Joaquín Verástegui

- Due date set to 10/22/2015

- Estimated time set to 8.00 h

#2 - 10/20/2015 03:56 PM - Fiorella Quino

- Due date changed from 10/22/2015 to 11/05/2015

#3 - 11/02/2015 11:48 AM - Fiorella Quino

- Status changed from New to In progress

- % Done changed from 0 to 10

#4 - 11/02/2015 12:11 PM - Fiorella Quino

- % Done changed from 10 to 80

Se está modificando views.py(dynamic) del servidor local, aún no se prueba en el servidor de producción.

            contador = 0

            for result in results:

                #Evita la busqueda en Solicitudes de compra                    

                if (results[contador]._meta.verbose_name[0].upper() != "P") &  (results[contador]._meta.verbos

e_name[0].upper() != "A"):

                    object_list.append(result)

                    contador = contador + 1 

 

Hasta el momento funciona correctamente.

#5 - 11/03/2015 09:37 AM - Fiorella Quino
- Status changed from In progress to Resolved

- % Done changed from 80 to 100

La búsqueda de artículos ya no muestra BOM ni inventario ni solicitudes de compra. Los cambios ya se encuentran en el servidor de producción.

Parte de código modificado:

contador = 0

for result in results:

#Evita la busqueda en Solicitudes de compra

if (results[contador].meta.verbose_name[0].upper() != "P" and

results[contador].meta.verbose_name[0].upper() != "A" and

results[contador]._meta.verbose_name[0].upper() != "L" and

results[contador].meta.verbose_name[0].upper() != "B" and

results[contador].meta.verbose_name[0].upper() != "I" and

results[contador]._meta.verbose_name[0].upper() != "S"):

object_list.append(result)

contador = contador + 1 

#6 - 11/18/2015 10:55 AM - Fiorella Quino

- Target version set to Version 1.0

#7 - 02/18/2016 09:38 AM - Fiorella Quino

- Status changed from Resolved to Closed
